<html devsite>
  <head>
    <title>Pixel&hairsp;/&hairsp;Nexus Security Bulletin—April 2018</title>
    <meta name="project_path" value="/_project.yaml" />
    <meta name="book_path" value="/_book.yaml" />
  </head>
  <body>
  <!--
      Copyright 2018 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          //www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->


<p><em>Published April 2, 2018 | Updated April 10, 2018</em></p>

<p>
The Pixel&hairsp;/&hairsp;Nexus Security Bulletin contains details of security
vulnerabilities and functional improvements affecting
<a href="https://support.google.com/pixelphone/answer/4457705#pixel_phones&nexus_devices">supported
Google Pixel and Nexus devices</a> (Google devices). For Google devices,
security patch levels of 2018-04-05 or later address all issues in this
bulletin and all issues in the  <a href="/security/bulletin/2018-04-01">April
2018 Android Security Bulletin</a>. To learn how to check a device's security
patch level, see <a href="https://support.google.com/pixelphone/answer/4457705">Check
and update your Android version</a>.</p>
<p>
All supported Google devices will receive an update to the 2018-04-05 patch
level. We encourage all customers to accept these updates to their devices.
</p>
<p class="note">
<strong>Note:</strong> The Google device firmware images are available on the
<a href="https://developers.google.com/android/nexus/images">Google Developer
site</a>.
</p>

<h2 id="announcements">Announcements</h2>
<p>In addition to the security vulnerabilities described in the
<a href="/security/bulletin/2018-04-01">April 2018 Android Security Bulletin</a>,
Google devices also contain patches for the security vulnerabilities
described below. Partners were notified of these issues at least a month ago
and may choose to incorporate them as part of their device updates.</p>

<h2 id="security-patches">Security patches</h2>
<p>
Vulnerabilities are grouped under the component that they affect. There is a
description of the issue and a table with the CVE, associated references,
<a href="#type">type of vulnerability</a>,
<a href="https://source.android.com/security/overview/updates-resources.html#severity">severity</a>,
and updated Android Open Source Project (AOSP) versions (where applicable). When
available, we link the public change that addressed the issue to the bug ID,
like the AOSP change list. When multiple changes relate to a single bug,
additional references are linked to numbers following the bug ID.
</p>

<h3 id="framework">Framework</h3>

<table>
  <col width="17%">
  <col width="19%">
  <col width="9%">
  <col width="14%">
  <col width="39%">
  <tr>
    <th>CVE</th>
    <th>References</th>
    <th>Type</th>
    <th>Severity</th>
    <th>Updated AOSP versions</th>
  </tr>
  <tr>
    <td>CVE-2017-13294</td>
    <td><a href="https://android.googlesource.com/platform/packages/apps/Email/+/c3e0aba2a604ce7c3807d65df1e6a2b848287019">A-71814449</a>
       [<a href="https://android.googlesource.com/platform/packages/apps/UnifiedEmail/+/e00598532bbfc8618b7c051cbf6bd15491f61f27">2</a>]</td>
    <td>ID</td>
    <td>Moderate</td>
    <td>6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1</td>
  </tr>
  <tr>
    <td>CVE-2017-13295</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/base/+/a2a36541f0b3603335e74da0a8d2b6a9d5bcec3f">A-62537081</a></td>
    <td>DoS</td>
    <td>Moderate</td>
    <td>6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1</td>
  </tr>
</table>


<h3 id="media-framework">Media framework</h3>

<table>
  <col width="17%">
  <col width="19%">
  <col width="9%">
  <col width="14%">
  <col width="39%">
  <tr>
    <th>CVE</th>
    <th>References</th>
    <th>Type</th>
    <th>Severity</th>
    <th>Updated AOSP versions</th>
  </tr>
  <tr>
    <td>CVE-2017-13300</td>
    <td>A-71567394<a href="#asterisk">*</a></td>
    <td>DoS</td>
    <td>High</td>
    <td>6.0, 6.0.1</td>
  </tr>
  <tr>
    <td rowspan="2">CVE-2017-13296</td>
    <td rowspan="2"><a href="https://android.googlesource.com/platform/external/libavc/+/3e3e81ede5229c5a9c6b7bf6a63844ecf07ae3ae">A-70897454</a></td>
    <td>ID</td>
    <td>Moderate</td>
    <td>7.0, 7.1.1, 7.1.2, 8.0, 8.1</td>
  </tr>
  <tr>
    <td>DoS</td>
    <td>High</td>
    <td>6.0, 6.0.1</td>
  </tr>
  <tr>
    <td rowspan="2">CVE-2017-13297</td>
    <td rowspan="2"><a href="https://android.googlesource.com/platform/external/libhevc/+/daaece3e79db33f6c473bb54a39933d387a9bf95">A-71766721</a></td>
    <td>ID</td>
    <td>Moderate</td>
    <td>7.0, 7.1.1, 7.1.2, 8.0, 8.1</td>
  </tr>
  <tr>
    <td>DoS</td>
    <td>High</td>
    <td>6.0, 6.0.1</td>
  </tr>
  <tr>
    <td rowspan="2">CVE-2017-13298</td>
    <td rowspan="2"><a href="https://android.googlesource.com/platform/frameworks/av/+/12e25a753f4b6f0aa935e54bae66023bd8321598">A-72117051</a></td>
    <td>ID</td>
    <td>Moderate</td>
    <td>7.0, 7.1.1, 7.1.2, 8.0, 8.1</td>
  </tr>
  <tr>
    <td>DoS</td>
    <td>High</td>
    <td>6.0, 6.0.1</td>
  </tr>
  <tr>
    <td rowspan="2">CVE-2017-13299</td>
    <td rowspan="2"><a href="https://android.googlesource.com/platform/external/libavc/+/d849abf312a365553ce68aec32dea93230036abe">A-70897394</a></td>
    <td>NSI</td>
    <td>NSI</td>
    <td>7.0, 7.1.1, 7.1.2, 8.0, 8.1</td>
  </tr>
  <tr>
    <td>DoS</td>
    <td>High</td>
    <td>6.0, 6.0.1</td>
  </tr>
</table>


<h3 id="system">System</h3>

<table>
  <col width="17%">
  <col width="19%">
  <col width="9%">
  <col width="14%">
  <col width="39%">
  <tr>
    <th>CVE</th>
    <th>References</th>
    <th>Type</th>
    <th>Severity</th>
    <th>Updated AOSP versions</th>
  </tr>
  <tr>
    <td>CVE-2017-13301</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/base/+/384689934d293acf532e3fea3e72ef78df4f2d1e">A-66498711</a>
      [<a href="https://android.googlesource.com/platform/frameworks/base/+/d52b215f82e464705373d794748325298f0a1f9a">2</a>]</td>
   <td>DoS</td>
   <td>Moderate</td>
   <td>8.0</td>
  </tr>
  <tr>
   <td>CVE-2017-13302</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/base/+/e54ad58aea33860fbb36bf828684e3df6393f602">A-69969749</a></td>
   <td>DoS</td>
   <td>Moderate</td>
   <td>8.0</td>
  </tr>
</table>


<h3 id="broadcom-components">Broadcom components</h3>

<table>
  <col width="17%">
  <col width="19%">
  <col width="9%">
  <col width="14%">
  <col width="39%">
  <tr>
    <th>CVE</th>
    <th>References</th>
    <th>Type</th>
    <th>Severity</th>
    <th>Component</th>
  </tr>
  <tr>
    <td>CVE-2017-13303</td>
    <td>A-71359108<a href="#asterisk">*</a><br />
        B-V2018010501</td>
    <td>ID</td>
    <td>Moderate</td>
    <td>bcmdhd driver</td>
  </tr>
</table>


<h3 id="kernel-components">Kernel components</h3>

<table>
  <col width="17%">
  <col width="19%">
  <col width="9%">
  <col width="14%">
  <col width="39%">
  <tr>
    <th>CVE</th>
    <th>References</th>
    <th>Type</th>
    <th>Severity</th>
    <th>Component</th>
  </tr>
  <tr>
    <td>CVE-2017-13304</td>
    <td>A-70576999<a href="#asterisk">*</a></td>
    <td>ID</td>
    <td>Moderate</td>
    <td>mnh_sm driver</td>
  </tr>
  <tr>
    <td>CVE-2017-13305</td>
    <td>A-70526974<a href="#asterisk">*</a></td>
    <td>ID</td>
    <td>Moderate</td>
    <td>encrypted-keys</td>
  </tr>
  <tr>
    <td>CVE-2017-17449</td>
    <td>A-70980949<br />
        <a href="https://lkml.org/lkml/2017/12/5/950">Upstream kernel</a></td>
    <td>ID</td>
    <td>Moderate</td>
    <td>netlink tap</td>
  </tr>
  <tr>
    <td>CVE-2017-13306</td>
    <td>A-70295063<a href="#asterisk">*</a></td>
    <td>EoP</td>
    <td>Moderate</td>
    <td>mnh driver</td>
  </tr>
  <tr>
    <td>CVE-2017-13307</td>
    <td>A-69128924<a href="#asterisk">*</a></td>
    <td>EoP</td>
    <td>Moderate</td>
    <td>pci sysfs</td>
  </tr>
  <tr>
    <td>CVE-2017-17712</td>
    <td>A-71500434<br />
        <a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=8f659a03a0ba9289b9aeb9b4470e6fb263d6f483">
Upstream kernel</a></td>
    <td>EoP</td>
    <td>Moderate</td>
    <td>net ipv4</td>
  </tr>
  <tr>
    <td>CVE-2017-15115</td>
    <td>A-70217214<br />
        <a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=df80cd9b28b9ebaa284a41df611dbf3a2d05ca74">
Upstream kernel</a></td>
    <td>EoP</td>
    <td>Moderate</td>
    <td>sctp</td>
  </tr>
</table>


<h3 id="qualcomm-components">Qualcomm components</h3>

<table>
  <col width="17%">
  <col width="25%">
  <col width="9%">
  <col width="14%">
  <col width="33%">
  <tr>
    <th>CVE</th>
    <th>References</th>
    <th>Type</th>
    <th>Severity</th>
    <th>Component</th>
  </tr>
  <tr>
    <td>CVE-2018-3598</td>
    <td>A-71501698<br />
        <a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=bfd8ffc65e6e82de2adceba58bd67137fb3b2024">
QC-CR#1097390</a></td>
    <td>ID</td>
    <td>Moderate</td>
    <td>camera_v2 driver</td>
  </tr>
  <tr>
    <td>CVE-2018-5826</td>
    <td>A-69128800<a href="#asterisk">*</a><br />
        QC-CR#2157283</td>
    <td>ID</td>
    <td>Moderate</td>
    <td>qcacld-3.0 hdd driver</td>
  </tr>
  <tr>
    <td>CVE-2017-15853</td>
    <td>A-65853393<a href="#asterisk">*</a><br />
        QC-CR#2116517<br />
        QC-CR#2125577</td>
    <td>ID</td>
    <td>Moderate</td>
    <td>WLAN</td>
  </tr>
  <tr>
    <td>CVE-2018-3584</td>
    <td>A-64610600<a href="#asterisk">*</a><br />
        QC-CR#2142046</td>
    <td>ID</td>
    <td>Moderate</td>
    <td>rmnet_usb</td>
  </tr>
  <tr>
    <td>CVE-2017-8269</td>
    <td>A-33967002<a href="#asterisk">*</a><br />
        QC-CR#2013145<br />
        QC-CR#2114278</td>
    <td>ID</td>
    <td>Moderate</td>
    <td>IPA driver</td>
  </tr>
  <tr>
    <td>CVE-2017-15837</td>
    <td>A-64403015<a href="#asterisk">*</a><br />
        QC-CR#2116387</td>
    <td>ID</td>
    <td>Moderate</td>
    <td>NL80211 driver</td>
  </tr>
  <tr>
    <td>CVE-2018-5823</td>
    <td>A-72957335<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-3.0/commit/?id=fc5bbedd4ab9fd5239be8618afe714d39dd8de49">
QC-CR#2139436</a></td>
    <td>EoP</td>
    <td>Moderate</td>
    <td>WLAN</td>
  </tr>
  <tr>
    <td>CVE-2018-5825</td>
    <td>A-72957269<br />
        <a href="https://source.codeaurora.org/quic/la/kernel/msm-3.10/commit/?id=5ae227670444cf8ea7b8a8d98eab41404a03332f">QC-CR#2151146</a>
       [<a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=cf0f031ffbb6a8e08e517f653045c3f81d7f2663">2</a>]
       [<a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=09a34b7878a732187f9138900667d8abb2b1c39c">3</a>]</td>
    <td>EoP</td>
    <td>Moderate</td>
    <td>IPA driver</td>
  </tr>
  <tr>
    <td>CVE-2018-5824</td>
    <td>A-72957235<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=b34f6f3afe229e32a32418f75889279f6e00d157">QC-CR#2149399</a>
       [<a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-3.0/commit/?id=d3a92a1656a3ee2fc44d4ff98614a4f5b70f1893">2</a>]</td>
    <td>EoP</td>
    <td>Moderate</td>
    <td>WLAN</td>
  </tr>
  <tr>
    <td>CVE-2018-5827</td>
    <td>A-72956920<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-3.0/commit/?id=53e6d889ac29336ba212a0d4a987455a85736fa8">
QC-CR#2161977</a></td>
    <td>EoP</td>
    <td>Moderate</td>
    <td>WLAN</td>
  </tr>
  <tr>
    <td>CVE-2018-5822</td>
    <td>A-71501692<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=edc42ce371b6831dc55a15bc2624175bd538aa37">
QC-CR#2115221</a></td>
    <td>EoP</td>
    <td>Moderate</td>
    <td>QC WLAN</td>
  </tr>
  <tr>
    <td>CVE-2018-5821</td>
    <td>A-71501687<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=08ab943766abe845a8fae21689bae18dd74e9b20">
QC-CR#2114363</a></td>
    <td>EoP</td>
    <td>Moderate</td>
    <td>modem driver</td>
  </tr>
  <tr>
    <td>CVE-2018-5820</td>
    <td>A-71501686<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=a4a8475ea650c16705a3eaa011524820dc5ffd44">
QC-CR#2114336</a></td>
    <td>EoP</td>
    <td>Moderate</td>
    <td>Modem driver</td>
  </tr>
  <tr>
    <td>CVE-2018-3599</td>
    <td>A-71501666<br />
        <a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=cf2702c1a77d2a164a3be03597eff7e6fe5f967e">
QC-CR#2047235</a></td>
    <td>EoP</td>
    <td>Moderate</td>
    <td>Qualcomm Core Services</td>
  </tr>
  <tr>
    <td>CVE-2018-3596</td>
    <td>A-35263529<a href="#asterisk">*</a><br />
        QC-CR#640898</td>
    <td>EoP</td>
    <td>Moderate</td>
    <td>WLAN</td>
  </tr>
  <tr>
    <td>CVE-2018-3568</td>
    <td>A-72957136<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-3.0/commit/?id=70cd30a5c1fdd02af19cf0e34c41842cce89a82d">
QC-CR#2152824</a></td>
    <td>EoP</td>
    <td>Moderate</td>
    <td>WLAN</td>
  </tr>
  <tr>
    <td>CVE-2018-3567</td>
    <td>A-72956997<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=f2627fca43bc4403a445c2b84481383ac0249364">QC-CR#2147119</a>
       [<a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-3.0/commit/?id=25c131e8a807894e04f95bdeb1cbd0376eda3bea">2</a>]</td>
    <td>EoP</td>
    <td>Moderate</td>
    <td>WLAN</td>
  </tr>
  <tr>
    <td>CVE-2017-15855</td>
    <td>A-72957336<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-3.0/commit/?id=75c0ea8622bb07716d2a82247e6dd1597980f223">
QC-CR#2149501</a></td>
    <td>EoP</td>
    <td>Moderate</td>
    <td>WLAN</td>
  </tr>
  <tr>
    <td>CVE-2018-5828</td>
    <td>A-71501691<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=6299a6bf166a60a47e9108ae2119027e787432d0">
QC-CR#2115207</a></td>
    <td>EoP</td>
    <td>Moderate</td>
    <td>QC WLAN</td>
  </tr>
  <tr>
    <td>CVE-2017-15836</td>
    <td>A-71501693<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-3.0/commit/?id=058e1eef2b1422bc0dd70f73832f1ac8a3dbe806">
QC-CR#2119887</a></td>
    <td>EoP</td>
    <td>Moderate</td>
    <td>QC WLAN</td>
  </tr>
  <tr>
    <td>CVE-2017-14890</td>
    <td>A-71501695<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-3.0/commit/?id=234e14add09a1ba4a1b1d81d474ac3978dc94fd6">
QC-CR#2120751</a></td>
    <td>EoP</td>
    <td>Moderate</td>
    <td>QC WLAN</td>
  </tr>
  <tr>
    <td>CVE-2017-14894</td>
    <td>A-71501694<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-3.0/commit/?id=dfca3d8173c1548a97e558cb8abd1ffd2483f8b7">
QC-CR#2120424</a></td>
    <td>EoP</td>
    <td>Moderate</td>
    <td>QC WLAN</td>
  </tr>
  <tr>
    <td>CVE-2017-14880</td>
    <td>A-68992477<br />
        <a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=cbf3702ae1c5e2cacd6f15a5eb7a799e2f1ed96f">
QC-CR#2078734</a>
       [<a href="https://source.codeaurora.org/quic/la/kernel/msm-3.10/commit/?id=d72e444dce0b9d20fdcdc4daeb6227e3536eebf7">2</a>]</td>
    <td>EoP</td>
    <td>Moderate</td>
    <td>IPA WAN driver</td>
  </tr>
  <tr>
    <td>CVE-2017-11075</td>
    <td>A-70237705<br />
        <a href="https://source.codeaurora.org/quic/la/kernel/msm-4.4/commit/?id=7a07165c62926e899b710e1fed31532f31797dd5">
QC-CR#2098332</a></td>
    <td>EoP</td>
    <td>Moderate</td>
    <td>Audio DSP driver</td>
  </tr>
</table>

<h2 id="functional-updates">Functional updates</h2>
<p>
These updates are included for affected Pixel devices to address functionality
issues not related to the security of Pixel devices. The table includes
associated references; the affected category, such as Bluetooth or mobile data;
improvements; and affected devices.
</p>

<table>
  <tr>
   <th>References</th>
   <th>Category</th>
   <th>Improvements</th>
   <th>Devices</th>
  </tr>
  <tr>
   <td>A-35963245</td>
   <td>Performance</td>
   <td>Enable Assisted Dialing support</td>
   <td>Pixel 2, Pixel 2 XL</td>
  </tr>
  <tr>
   <td>A-37681923<br>
       A-68215016</td>
   <td>Logging</td>
   <td>Improve anomaly detection metrics</td>
   <td>All</td>
  </tr>
  <tr>
   <td>A-63908720</td>
   <td>Logging</td>
   <td>Improve diskstats logging</td>
   <td>All</td>
  </tr>
  <tr>
   <td>A-64101451</td>
   <td>Performance</td>
   <td>Improve handover from VoLTE to VoWi-Fi during Emergency calls on certain carriers</td>
   <td>Pixel, Pixel XL, Pixel 2, Pixel 2 XL</td>
  </tr>
  <tr>
   <td>A-64586126</td>
   <td>Camera</td>
   <td>Improve microvideo performance in Google Camera</td>
   <td>Pixel, Pixel XL, Pixel 2, Pixel 2 XL</td>
  </tr>
  <tr>
   <td>A-64610438</td>
   <td>Performance</td>
   <td>Reduce delays upon opening specific apps</td>
   <td>Pixel 2, Pixel 2 XL</td>
  </tr>
  <tr>
   <td>A-65175134</td>
   <td>Video</td>
   <td>Improve decoding of certain video streams</td>
   <td>Pixel, Pixel XL</td>
  </tr>
  <tr>
   <td>A-65347520</td>
   <td>Performance</td>
   <td>Improve fingerprint and keyboard latency in certain situations</td>
   <td>Pixel 2, Pixel 2 XL</td>
  </tr>
  <tr>
   <td>A-65490850</td>
   <td>UI</td>
   <td>Adjust notifications when entering or exiting Wi-Fi coverage during a video call</td>
   <td>Pixel 2, Pixel 2 XL</td>
  </tr>
  <tr>
   <td>A-65509134</td>
   <td>Connectivity</td>
   <td>Enable IMS911 on certain networks</td>
   <td>Pixel 2, Pixel 2 XL, Pixel, Pixel XL</td>
  </tr>
  <tr>
   <td>A-66951771</td>
   <td>Logging</td>
   <td>Detect Wi-Fi Passport statistics for developers</td>
   <td>All</td>
  </tr>
  <tr>
   <td>A-66957450</td>
   <td>Performance</td>
   <td>Improve lock screen performance</td>
   <td>All</td>
  </tr>
  <tr>
   <td>A-67094673</td>
   <td>Logging</td>
   <td>Improve start time logging</td>
   <td>All</td>
  </tr>
  <tr>
   <td>A-67589241</td>
   <td>Performance</td>
   <td>Improve magnetic sensor performance on Pixel 2/Pixel 2 XL</td>
   <td>Pixel 2, Pixel 2 XL</td>
  </tr>
  <tr>
   <td>A-67593274</td>
   <td>Battery</td>
   <td>Reduce battery drain after modem issues</td>
   <td>Pixel 2, Pixel 2 XL</td>
  </tr>
  <tr>
   <td>A-67634615</td>
   <td>Stability</td>
   <td>Improve modem stability on Pixel and Pixel 2 phones</td>
   <td>Pixel, Pixel XL, Pixel 2, Pixel 2 XL</td>
  </tr>
  <tr>
   <td>A-67750231</td>
   <td>UI</td>
   <td>Adjust Call Forwarding UI</td>
   <td>Nexus 5X, Pixel, Pixel XL, Pixel 2, Pixel 2 XL</td>
  </tr>
  <tr>
   <td>A-67774904</td>
   <td>Connectivity</td>
   <td>Improve multi-calling performance over Wi-Fi</td>
   <td>Pixel, Pixel XL</td>
  </tr>
  <tr>
   <td>A-67777512</td>
   <td>Connectivity</td>
   <td>Improve data connectivity for T-Mobile users in parts of Australia</td>
   <td>Pixel, Pixel XL</td>
  </tr>
  <tr>
   <td>A-67882977</td>
   <td>Certification</td>
   <td>Update certification</td>
   <td>Pixel, Pixel XL</td>
  </tr>
  <tr>
   <td>A-68150449<br>
       A-68059359<br>
       A-69797741<br>
       A-69378640<br>
       A-68824279</td>
   <td>Stability</td>
   <td>Improve Wi-Fi stability on Pixel 2 phones</td>
   <td>Pixel 2, Pixel 2 XL</td>
  </tr>
  <tr>
   <td>A-68217064</td>
   <td>Performance</td>
   <td>Improve handover to Wi-Fi Calling in low-coverage areas</td>
   <td>Pixel 2, Pixel 2 XL</td>
  </tr>
  <tr>
   <td>A-68398312</td>
   <td>Performance</td>
   <td>Improve conference call performance over Wifi</td>
   <td>Pixel 2, Pixel 2 XL</td>
  </tr>
  <tr>
   <td>A-68671462</td>
   <td>Connectivity</td>
   <td>Improve VoLTE performance for some carriers</td>
   <td>Nexus 5X, Pixel, Pixel XL, Pixel 2, Pixel 2 XL</td>
  </tr>
  <tr>
   <td>A-68841424</td>
   <td>Connectivity</td>
   <td>Adjust APN updating behavior</td>
   <td>All</td>
  </tr>
  <tr>
   <td>A-68863351</td>
   <td>UI</td>
   <td>Improve settings app icons</td>
   <td>All</td>
  </tr>
  <tr>
    <td>A-68923696<br>
       A-68922470<br>
       A-68940490</td>
   <td>Certification</td>
   <td>Upgrade certificates to ensure continued service.</td>
   <td>Nexus 5X, Pixel, Pixel XL, Pixel 2, Pixel 2 XL</td>
  </tr>
  <tr>
   <td>A-68931709</td>
   <td>Developer</td>
   <td>Add methods to PeerHandle API for developers</td>
   <td>All</td>
  </tr>
  <tr>
   <td>A-68959671</td>
   <td>Connectivity</td>
   <td>Update Verizon Service APK for Pixel phones</td>
   <td>Pixel, Pixel XL, Pixel 2, Pixel 2 XL</td>
  </tr>
  <tr>
   <td>A-69003183</td>
   <td>Logging</td>
   <td>Improve Wi-Fi and RPM logging</td>
   <td>Pixel 2, Pixel 2 XL</td>
  </tr>
  <tr>
   <td>A-69017578<br>
       A-68138080<br>
       A-68205105<br>
       A-70731000<br>
       A-69574837<br>
       A-68474108<br>
       A-70406781</td>
   <td>Connectivity, Performance</td>
   <td>Improve connectivity and performance on certain carrier networks</td>
   <td>Pixel, Pixel XL, Pixel 2, Pixel 2 XL</td>
  </tr>
  <tr>
   <td>A-69064494</td>
   <td>Performance</td>
   <td>Improve notification listening apps</td>
   <td>All</td>
  </tr>
  <tr>
   <td>A-69152057</td>
   <td>Connectivity</td>
   <td>Address call forwarding issue.</td>
   <td>All</td>
  </tr>
  <tr>
   <td>A-69209000</td>
   <td>Connectivity</td>
   <td>Improve internet connectivity on Pixel 2 on certain WiFi networks</td>
   <td>Pixel 2</td>
  </tr>
  <tr>
   <td>A-69238007<br>
       A-68202289<br>
       A-69334308</td>
   <td>Connectivity</td>
   <td>Adjust APN settings</td>
   <td>Nexus 5X, Pixel, Pixel XL, Pixel 2, Pixel 2 XL</td>
  </tr>
  <tr>
   <td>A-69261367<br>
       A-70512352</td>
   <td>Messaging</td>
   <td>Improve MMS messaging performance on certain carriers</td>
   <td>Nexus 5X, Pixel, Pixel XL, Pixel 2, Pixel 2 XL</td>
  </tr>
  <tr>
   <td>A-69275204</td>
   <td>Battery</td>
   <td>Adjust battery learned capacity increment and decrement limits</td>
   <td>Pixel 2, Pixel 2 XL</td>
  </tr>
  <tr>
   <td>A-69334266</td>
   <td>Connectivity</td>
   <td>Change voice domain to CS for certain carriers</td>
   <td>Pixel XL</td>
  </tr>
  <tr>
   <td>A-69475609</td>
   <td>Performance</td>
   <td>Adjust timeouts for Phone App</td>
   <td>All</td>
  </tr>
  <tr>
   <td>A-69672417</td>
   <td>Stability</td>
   <td>Improve stability for Pixel 2 devices in certain parts of Canada</td>
   <td>Pixel 2, Pixel 2 XL</td>
  </tr>
  <tr>
   <td>A-69848394<br>
       A-68275646</td>
   <td>Performance</td>
   <td>Improve instant Apps performance</td>
   <td>All</td>
  </tr>
  <tr>
   <td>A-69870527</td>
   <td>UI</td>
   <td>Improve indicators for emergency call connectivity</td>
   <td>Pixel 2, Pixel 2 XL</td>
  </tr>
  <tr>
   <td>A-70045970</td>
   <td>Battery</td>
   <td>Optimize search logic to improve battery performance.</td>
   <td>Pixel 2, Pixel 2 XL</td>
  </tr>
  <tr>
   <td>A-70094083<br>
       A-70094701</td>
   <td>Battery</td>
   <td>Improve battery logging for Pixel 2 and Pixel 2 XL</td>
   <td>Pixel 2, Pixel 2 XL</td>
  </tr>
  <tr>
   <td>A-70214869</td>
   <td>GPS</td>
   <td>Improve GPS Time performance on Pixel 2 XL</td>
   <td>Pixel 2 XL</td>
  </tr>
  <tr>
   <td>A-70338906</td>
   <td>Audio</td>
   <td>Improve audio speaker performance during phone calls</td>
   <td>All</td>
  </tr>
  <tr>
   <td>A-70398372</td>
   <td>UI</td>
   <td>Adjust advanced calling settings for Verizon</td>
   <td>Nexus 5X, Pixel, Pixel XL, Pixel 2, Pixel 2 XL</td>
  </tr>
  <tr>
   <td>A-70576351</td>
   <td>Connectivity</td>
   <td>Change to prioritize certain bands</td>
   <td>Nexus 5X, Pixel, Pixel XL, Pixel 2, Pixel 2 XL</td>
  </tr>
  <tr>
   <td>A-70580873<br>
       A-70912923<br>
       A-71497259</td>
   <td>Connectivity</td>
   <td>Improve in-call performance for some carriers</td>
   <td>Pixel, Pixel XL, Pixel 2, Pixel 2 XL</td>
  </tr>
  <tr>
   <td>A-70815434</td>
   <td>Connectivity</td>
   <td>Improve network performance on Simyo carrier</td>
   <td>Nexus 5X</td>
  </tr>
  <tr>
   <td>A-71708302</td>
   <td>Logging</td>
   <td>Improve connectivity metrics</td>
   <td>All</td>
  </tr>
  <tr>
   <td>A-71983424</td>
   <td>Performance</td>
   <td>Improve experience switching between LTE and Wifi</td>
   <td>Pixel 2 XL</td>
  </tr>
  <tr>
   <td>A-72119809</td>
   <td>Connectivity</td>
   <td>Improve data performance for devices with certain SIM cards</td>
   <td>All</td>
  </tr>
  <tr>
   <td>A-72175011</td>
   <td>Logging</td>
   <td>Improve autofill logging</td>
   <td>All</td>
  </tr>
  <tr>
   <td>A-72797728<br>
       A-71599119</td>
   <td>Logging</td>
   <td>Improve internal troubleshooting tools</td>
   <td>All</td>
  </tr>
  <tr>
   <td>A-72871435</td>
   <td>Logging</td>
   <td>Improve network performance when both VPN and Wi-Fi are enabled</td>
   <td>All</td>
  </tr>
</table>

<h2 id="common-questions-and-answers">Common questions and answers</h2>
<p>
This section answers common questions that may occur after reading this
bulletin.
</p>
<p>
<strong>1. How do I determine if my device is updated to address these issues?
</strong>
</p>
<p>
Security patch levels of 2018-04-05 or later address all issues associated with
the 2018-04-05 security patch level and all previous patch levels. To learn how
to check a device's security patch level, read the instructions on the
<a href="https://support.google.com/pixelphone/answer/4457705#pixel_phones&nexus_devices">Pixel
and Nexus update schedule</a>.
</p>
<p id="type">
<strong>2. What do the entries in the <em>Type</em> column mean?</strong>
</p>
<p>
Entries in the <em>Type</em> column of the vulnerability details table reference
the classification of the security vulnerability.
</p>
<table>
  <col width="25%">
  <col width="75%">
  <tr>
   <th>Abbreviation</th>
   <th>Definition</th>
  </tr>
  <tr>
   <td>RCE</td>
   <td>Remote code execution</td>
  </tr>
  <tr>
   <td>EoP</td>
   <td>Elevation of privilege</td>
  </tr>
  <tr>
   <td>ID</td>
   <td>Information disclosure</td>
  </tr>
  <tr>
   <td>DoS</td>
   <td>Denial of service</td>
  </tr>
  <tr>
   <td>N/A</td>
   <td>Classification not available</td>
  </tr>
</table>
<p>
<strong>3. What do the entries in the <em>References</em> column mean?</strong>
</p>
<p>
Entries under the <em>References</em> column of the vulnerability details table
may contain a prefix identifying the organization to which the reference value
belongs.
</p>
<table>
  <col width="25%">
  <col width="75%">
  <tr>
   <th>Prefix</th>
   <th>Reference</th>
  </tr>
  <tr>
   <td>A-</td>
   <td>Android bug ID</td>
  </tr>
  <tr>
   <td>QC-</td>
   <td>Qualcomm reference number</td>
  </tr>
  <tr>
   <td>M-</td>
   <td>MediaTek reference number</td>
  </tr>
  <tr>
   <td>N-</td>
   <td>NVIDIA reference number</td>
  </tr>
  <tr>
   <td>B-</td>
   <td>Broadcom reference number</td>
  </tr>
</table>
<p id="asterisk">
<strong>4. What does a * next to the Android bug ID in the <em>References</em>
column mean?</strong>
</p>
<p>
Issues that are not publicly available have a * next to the Android bug ID in
the <em>References</em> column. The update for that issue is generally contained
in the latest binary drivers for Nexus devices available from the
<a href="https://developers.google.com/android/nexus/drivers">Google Developer
site</a>.
</p>
<p>
<strong>5. Why are security vulnerabilities split between this bulletin and the
Android Security Bulletins?</strong>
</p>
<p>
Security vulnerabilities that are documented in the Android Security Bulletins
are required in order to declare the latest security patch level on Android
devices. Additional security vulnerabilities, such as those documented in this
bulletin, are not required for declaring a security patch level.
</p>
<h2 id="versions">Versions</h2>
<table>
  <col width="25%">
  <col width="25%">
  <col width="50%">
  <tr>
   <th>Version</th>
   <th>Date</th>
   <th>Notes</th>
  </tr>
  <tr>
   <td>1.0</td>
   <td>April 2, 2018</td>
   <td>Bulletin published.</td>
  </tr>
  <tr>
   <td>1.1</td>
   <td>April 4, 2018</td>
   <td>Bulletin revised to include AOSP links.</td>
  </tr>
    <tr>
   <td>1.2</td>
   <td>April 10, 2018</td>
   <td>Bulletin revised to update description for A-72871435.</td>
  </tr>
</table>
</body></html>
